#!/bin/bash

STARTDIR=`pwd`

echo "installing dependencies"
apt-get install libstdc++5
apt-get install libopencascade6.2
apt-get install gmsh

echo "updating gmsh, from project site... to get a compiled version with OpenCascade"
wget http://geuz.org/gmsh/bin/Linux/gmsh-2.3.0-Linux.tgz /tmp/gmsh-2.3.0-Linux.tgz

echo "extracting and installing gmsh"
cd /tmp
tar xvzf gmsh-2.3.0-Linux.tgz
cd gmsh-2.3.0
cp gmsh /usr/bin/

echo "installing RTMSimulator..."
cp ../../release/bin/RTMSimulator /usr/bin/

cd $STARTDIR

echo "finished installation!"


